{% extends "lab_7/layout/base.html" %}
{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2>Friend List</h2>
                    <div id="friend-list" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
            // {# lengkapi pemanggilan ajax berikut untuk mengambil daftar teman yang ada di database #}
            $.ajax({
                method: "GET",
                url: "{% url 'lab-7:get-friend-list' %}",
                success: function (friend_list) {
                    console.log(friend_list)
                    var friend_list = JSON.parse(friend_list);
                    $.each(friend_list, function(index, friend) {
                        var button = '<span class="pull-right">' +
                            '<button type="button" class="btn btn-xs btn-danger"' +
                            'onClick="deleteFriend(' + friend.pk + ')">' +
                            'Unfriend' +
                            '</button>' +
                            '</span>';
                            var html = '<div class="list-group-item clearfix"> <a class="list-group-item clearfix" href="javascript:detailFriend(' + friend.pk + ')">' + friend.fields.friend_name + '</a>' + button + '</div>';
                        $("#friend-list").append(html)
                    })
                },
                error: function(error){
                    alert("Kamu tidak punya teman.")
                }
            });
        });

        function deleteFriend(id) {
            window.open('../delete-friend/' + id + '/', '_self');
        }
        function detailFriend(id) {
            window.open('../friend-description/' + id + '/', '_self');
        }
    </script>
{% endblock %}
